Index: serefpolicy-contrib-20140730/tomcat.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/tomcat.if
@@ -0,0 +1,395 @@
+
+## <summary>policy for tomcat</summary>
+
+######################################
+## <summary>
+##      Creates types and rules for a basic
+##      tomcat daemon domain.
+## </summary>
+## <param name="prefix">
+##      <summary>
+##      Prefix for the domain.
+##      </summary>
+## </param>
+#
+template(`tomcat_domain_template',`
+        gen_require(`
+                attribute tomcat_domain;
+        ')
+
+	type $1_t, tomcat_domain;
+	type $1_exec_t;
+	init_daemon_domain($1_t, $1_exec_t)
+
+	type $1_cache_t;
+	files_type($1_cache_t)
+
+	type $1_log_t;
+	logging_log_file($1_log_t)
+
+	type $1_var_lib_t;
+	files_type($1_var_lib_t)
+
+	type $1_var_run_t;
+	files_pid_file($1_var_run_t)
+
+	type $1_tmp_t;
+	files_tmp_file($1_tmp_t)
+
+	##################################
+	#
+	# Local policy
+	#
+
+	manage_dirs_pattern($1_t, $1_cache_t, $1_cache_t)
+	manage_files_pattern($1_t, $1_cache_t, $1_cache_t)
+	manage_lnk_files_pattern($1_t, $1_cache_t, $1_cache_t)
+	files_var_filetrans($1_t, $1_cache_t, { dir file })
+
+	manage_dirs_pattern($1_t, $1_log_t, $1_log_t)
+	manage_files_pattern($1_t, $1_log_t, $1_log_t)
+	manage_lnk_files_pattern($1_t, $1_log_t, $1_log_t)
+	logging_log_filetrans($1_t, $1_log_t, { dir file })
+
+	manage_dirs_pattern($1_t, $1_var_lib_t, $1_var_lib_t)
+	manage_files_pattern($1_t, $1_var_lib_t, $1_var_lib_t)
+	manage_lnk_files_pattern($1_t, $1_var_lib_t, $1_var_lib_t)
+	files_var_lib_filetrans($1_t, $1_var_lib_t, { dir file lnk_file })
+
+	manage_dirs_pattern($1_t, $1_var_run_t, $1_var_run_t)
+	manage_files_pattern($1_t, $1_var_run_t, $1_var_run_t)
+	manage_lnk_files_pattern($1_t, $1_var_run_t, $1_var_run_t)
+	files_pid_filetrans($1_t, $1_var_run_t, { dir file lnk_file })
+
+	manage_dirs_pattern($1_t, $1_tmp_t, $1_tmp_t)
+	manage_files_pattern($1_t, $1_tmp_t, $1_tmp_t)
+	manage_fifo_files_pattern($1_t, $1_tmp_t, $1_tmp_t)
+	files_tmp_filetrans($1_t, $1_tmp_t, { file fifo_file dir })
+
+	can_exec($1_t, $1_exec_t)
+
+	kernel_read_system_state($1_t)
+
+	logging_send_syslog_msg($1_t)
+')
+
+########################################
+## <summary>
+##	Transition to tomcat.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`tomcat_domtrans',`
+	gen_require(`
+		type tomcat_t, tomcat_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, tomcat_exec_t, tomcat_t)
+')
+
+########################################
+## <summary>
+##	Search tomcat cache directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_search_cache',`
+	gen_require(`
+		type tomcat_cache_t;
+	')
+
+	allow $1 tomcat_cache_t:dir search_dir_perms;
+	files_search_var($1)
+')
+
+########################################
+## <summary>
+##	Read tomcat cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_read_cache_files',`
+	gen_require(`
+		type tomcat_cache_t;
+	')
+
+	files_search_var($1)
+	read_files_pattern($1, tomcat_cache_t, tomcat_cache_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	tomcat cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_manage_cache_files',`
+	gen_require(`
+		type tomcat_cache_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, tomcat_cache_t, tomcat_cache_t)
+')
+
+########################################
+## <summary>
+##	Manage tomcat cache dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_manage_cache_dirs',`
+	gen_require(`
+		type tomcat_cache_t;
+	')
+
+	files_search_var($1)
+	manage_dirs_pattern($1, tomcat_cache_t, tomcat_cache_t)
+')
+
+########################################
+## <summary>
+##	Read tomcat's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`tomcat_read_log',`
+	gen_require(`
+		type tomcat_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, tomcat_log_t, tomcat_log_t)
+')
+
+########################################
+## <summary>
+##	Append to tomcat log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_append_log',`
+	gen_require(`
+		type tomcat_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, tomcat_log_t, tomcat_log_t)
+')
+
+########################################
+## <summary>
+##	Manage tomcat log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_manage_log',`
+	gen_require(`
+		type tomcat_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, tomcat_log_t, tomcat_log_t)
+	manage_files_pattern($1, tomcat_log_t, tomcat_log_t)
+	manage_lnk_files_pattern($1, tomcat_log_t, tomcat_log_t)
+')
+
+########################################
+## <summary>
+##	Search tomcat lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_search_lib',`
+	gen_require(`
+		type tomcat_var_lib_t;
+	')
+
+	allow $1 tomcat_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read tomcat lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_read_lib_files',`
+	gen_require(`
+		type tomcat_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	read_files_pattern($1, tomcat_var_lib_t, tomcat_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage tomcat lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_manage_lib_files',`
+	gen_require(`
+		type tomcat_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, tomcat_var_lib_t, tomcat_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage tomcat lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_manage_lib_dirs',`
+	gen_require(`
+		type tomcat_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, tomcat_var_lib_t, tomcat_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Read tomcat PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`tomcat_read_pid_files',`
+	gen_require(`
+		type tomcat_var_run_t;
+	')
+
+	files_search_pids($1)
+	allow $1 tomcat_var_run_t:file read_file_perms;
+')
+
+########################################
+## <summary>
+##	Execute tomcat server in the tomcat domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`tomcat_systemctl',`
+	gen_require(`
+		type tomcat_t;
+		type tomcat_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	allow $1 tomcat_unit_file_t:file read_file_perms;
+	allow $1 tomcat_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, tomcat_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an tomcat environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`tomcat_admin',`
+	gen_require(`
+		type tomcat_t;
+		type tomcat_cache_t;
+		type tomcat_log_t;
+		type tomcat_var_lib_t;
+		type tomcat_var_run_t;
+	type tomcat_unit_file_t;
+	')
+
+	allow $1 tomcat_t:process { ptrace signal_perms };
+	ps_process_pattern($1, tomcat_t)
+
+	files_search_var($1)
+	admin_pattern($1, tomcat_cache_t)
+
+	logging_search_logs($1)
+	admin_pattern($1, tomcat_log_t)
+
+	files_search_var_lib($1)
+	admin_pattern($1, tomcat_var_lib_t)
+
+	files_search_pids($1)
+	admin_pattern($1, tomcat_var_run_t)
+
+	tomcat_systemctl($1)
+	admin_pattern($1, tomcat_unit_file_t)
+	allow $1 tomcat_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/tomcat.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/tomcat.te
@@ -0,0 +1,69 @@
+policy_module(tomcat, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+attribute tomcat_domain;
+
+tomcat_domain_template(tomcat)
+
+type tomcat_unit_file_t;
+systemd_unit_file(tomcat_unit_file_t)
+
+#######################################
+#
+# tomcat local policy
+#
+
+optional_policy(`
+	unconfined_domain(tomcat_t)
+')
+
+########################################
+#
+# tomcat domain local policy
+#
+
+allow tomcat_t self:process execmem;
+allow tomcat_t self:process { signal signull };
+
+allow tomcat_t self:tcp_socket { accept listen };
+allow tomcat_domain self:fifo_file rw_fifo_file_perms;
+allow tomcat_domain self:unix_stream_socket create_stream_socket_perms;
+
+# we want to stay in a new tomcat domain if we call tomcat binary from a script
+# initrc_t@tomcat_test_exec_t->tomcat_test_t@tomcat_exec_t->tomcat_test_t
+can_exec(tomcat_domain, tomcat_exec_t)
+
+kernel_read_network_state(tomcat_domain)
+
+corecmd_exec_bin(tomcat_domain)
+corecmd_exec_shell(tomcat_domain)
+
+corenet_tcp_bind_generic_node(tomcat_domain)
+corenet_udp_bind_generic_node(tomcat_domain)
+corenet_tcp_bind_http_port(tomcat_domain)
+corenet_tcp_bind_http_cache_port(tomcat_domain)
+corenet_tcp_bind_mxi_port(tomcat_domain)
+corenet_tcp_connect_http_port(tomcat_domain)
+corenet_tcp_connect_mxi_port(tomcat_domain)
+
+dev_read_rand(tomcat_domain)
+dev_read_urand(tomcat_domain)
+dev_read_sysfs(tomcat_domain)
+
+domain_use_interactive_fds(tomcat_domain)
+
+fs_getattr_all_fs(tomcat_domain)
+fs_read_hugetlbfs_files(tomcat_domain)
+
+
+auth_read_passwd(tomcat_domain)
+
+sysnet_dns_name_resolve(tomcat_domain)
+
+optional_policy(`
+	tomcat_search_lib(tomcat_domain)
+')
Index: serefpolicy-contrib-20140730/tor.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/tor.fc
+++ serefpolicy-contrib-20140730/tor.fc
@@ -5,6 +5,8 @@
 /usr/bin/tor	--	gen_context(system_u:object_r:tor_exec_t,s0)
 /usr/sbin/tor	--	gen_context(system_u:object_r:tor_exec_t,s0)
 
+/usr/lib/systemd/system/tor.*         --      gen_context(system_u:object_r:tor_unit_file_t,s0)
+
 /var/lib/tor(/.*)?	gen_context(system_u:object_r:tor_var_lib_t,s0)
 /var/lib/tor-data(/.*)?	gen_context(system_u:object_r:tor_var_lib_t,s0)
 
Index: serefpolicy-contrib-20140730/tor.if
===================================================================
--- serefpolicy-contrib-20140730.orig/tor.if
+++ serefpolicy-contrib-20140730/tor.if
@@ -19,6 +19,29 @@ interface(`tor_domtrans',`
 	domtrans_pattern($1, tor_exec_t, tor_t)
 ')
 
+#######################################
+## <summary>
+##      Execute tor server in the tor domain.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed to transition.
+##      </summary>
+## </param>
+#
+interface(`tor_systemctl',`
+        gen_require(`
+                type tor_t;
+                type tor_unit_file_t;
+        ')
+
+        systemd_exec_systemctl($1)
+        allow $1 tor_unit_file_t:file read_file_perms;
+        allow $1 tor_unit_file_t:service manage_service_perms;
+
+        ps_process_pattern($1, tor_t)
+')
+
 ########################################
 ## <summary>
 ##	All of the rules required to
@@ -39,12 +62,18 @@ interface(`tor_domtrans',`
 interface(`tor_admin',`
 	gen_require(`
 		type tor_t, tor_var_log_t, tor_etc_t;
-		type tor_var_lib_t, tor_var_run_t, tor_initrc_exec_t;
+		type tor_var_lib_t, tor_var_run_t;
+		type tor_initrc_exec_t;
+		type tor_unit_file_t;
 	')
 
-	allow $1 tor_t:process { ptrace signal_perms };
+	allow $1 tor_t:process signal_perms;
 	ps_process_pattern($1, tor_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 tor_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, tor_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 tor_initrc_exec_t system_r;
@@ -61,4 +90,13 @@ interface(`tor_admin',`
 
 	files_list_pids($1)
 	admin_pattern($1, tor_var_run_t)
+
+	tor_systemctl($1)
+	admin_pattern($1, tor_unit_file_t)
+	allow $1 tor_unit_file_t:service all_service_perms;
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/tor.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tor.te
+++ serefpolicy-contrib-20140730/tor.te
@@ -1,4 +1,4 @@
-policy_module(tor, 1.9.1)
+policy_module(tor, 1.9.0)
 
 ########################################
 #
@@ -13,6 +13,13 @@ policy_module(tor, 1.9.1)
 ## </desc>
 gen_tunable(tor_bind_all_unreserved_ports, false)
 
+## <desc>
+## <p>
+## Allow tor to act as a relay
+## </p>
+## </desc>
+gen_tunable(tor_can_network_relay, false)
+
 type tor_t;
 type tor_exec_t;
 init_daemon_domain(tor_t, tor_exec_t)
@@ -31,7 +38,10 @@ logging_log_file(tor_var_log_t)
 
 type tor_var_run_t;
 files_pid_file(tor_var_run_t)
-init_daemon_pid_file(tor_var_run_t, dir, "tor")
+init_daemon_run_dir(tor_var_run_t, "tor")
+
+type tor_unit_file_t;
+systemd_unit_file(tor_unit_file_t)
 
 ########################################
 #
@@ -77,7 +87,6 @@ corenet_tcp_sendrecv_generic_node(tor_t)
 corenet_udp_sendrecv_generic_node(tor_t)
 corenet_tcp_bind_generic_node(tor_t)
 corenet_udp_bind_generic_node(tor_t)
-
 corenet_sendrecv_dns_server_packets(tor_t)
 corenet_udp_bind_dns_port(tor_t)
 corenet_udp_sendrecv_dns_port(tor_t)
@@ -85,6 +94,7 @@ corenet_udp_sendrecv_dns_port(tor_t)
 corenet_sendrecv_tor_server_packets(tor_t)
 corenet_tcp_bind_tor_port(tor_t)
 corenet_tcp_sendrecv_tor_port(tor_t)
+corenet_tcp_bind_hplip_port(tor_t)
 
 corenet_sendrecv_all_client_packets(tor_t)
 corenet_tcp_connect_all_ports(tor_t)
@@ -98,19 +108,22 @@ dev_read_urand(tor_t)
 domain_use_interactive_fds(tor_t)
 
 files_read_etc_runtime_files(tor_t)
-files_read_usr_files(tor_t)
 
 auth_use_nsswitch(tor_t)
 
 logging_send_syslog_msg(tor_t)
 
-miscfiles_read_localization(tor_t)
-
 tunable_policy(`tor_bind_all_unreserved_ports',`
 	corenet_sendrecv_all_server_packets(tor_t)
 	corenet_tcp_bind_all_unreserved_ports(tor_t)
 ')
 
+tunable_policy(`tor_can_network_relay',`
+    # allow httpd to work as a relay
+	corenet_tcp_connect_all_ephemeral_ports(tor_t)
+	corenet_tcp_bind_http_port(tor_t)
+')
+
 optional_policy(`
 	seutil_sigchld_newrole(tor_t)
 ')
Index: serefpolicy-contrib-20140730/transproxy.te
===================================================================
--- serefpolicy-contrib-20140730.orig/transproxy.te
+++ serefpolicy-contrib-20140730/transproxy.te
@@ -32,7 +32,6 @@ kernel_read_kernel_sysctls(transproxy_t)
 kernel_list_proc(transproxy_t)
 kernel_read_proc_symlinks(transproxy_t)
 
-corenet_all_recvfrom_unlabeled(transproxy_t)
 corenet_all_recvfrom_netlabel(transproxy_t)
 corenet_tcp_sendrecv_generic_if(transproxy_t)
 corenet_tcp_sendrecv_generic_node(transproxy_t)
@@ -46,15 +45,12 @@ dev_read_sysfs(transproxy_t)
 
 domain_use_interactive_fds(transproxy_t)
 
-files_read_etc_files(transproxy_t)
 
 fs_getattr_all_fs(transproxy_t)
 fs_search_auto_mountpoints(transproxy_t)
 
 logging_send_syslog_msg(transproxy_t)
 
-miscfiles_read_localization(transproxy_t)
-
 sysnet_read_config(transproxy_t)
 
 userdom_dontaudit_use_unpriv_user_fds(transproxy_t)
Index: serefpolicy-contrib-20140730/tripwire.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tripwire.te
+++ serefpolicy-contrib-20140730/tripwire.te
@@ -86,7 +86,7 @@ files_getattr_all_sockets(tripwire_t)
 
 logging_send_syslog_msg(tripwire_t)
 
-userdom_use_user_terminals(tripwire_t)
+userdom_use_inherited_user_terminals(tripwire_t)
 
 optional_policy(`
 	cron_system_entry(tripwire_t, tripwire_exec_t)
@@ -107,9 +107,7 @@ files_search_etc(twadmin_t)
 
 logging_send_syslog_msg(twadmin_t)
 
-miscfiles_read_localization(twadmin_t)
-
-userdom_use_user_terminals(twadmin_t)
+userdom_use_inherited_user_terminals(twadmin_t)
 
 ########################################
 #
@@ -135,9 +133,7 @@ files_search_var_lib(twprint_t)
 
 logging_send_syslog_msg(twprint_t)
 
-miscfiles_read_localization(twprint_t)
-
-userdom_use_user_terminals(twprint_t)
+userdom_use_inherited_user_terminals(twprint_t)
 
 ########################################
 #
@@ -150,6 +146,4 @@ files_read_all_files(siggen_t)
 
 logging_send_syslog_msg(siggen_t)
 
-miscfiles_read_localization(siggen_t)
-
-userdom_use_user_terminals(siggen_t)
+userdom_use_inherited_user_terminals(siggen_t)
Index: serefpolicy-contrib-20140730/tuned.if
===================================================================
--- serefpolicy-contrib-20140730.orig/tuned.if
+++ serefpolicy-contrib-20140730/tuned.if
@@ -119,9 +119,13 @@ interface(`tuned_admin',`
 		type tuned_etc_t, tuned_rw_etc_t, tuned_log_t;
 	')
 
-	allow $1 tuned_t:process { ptrace signal_perms };
+	allow $1 tuned_t:process signal_perms;
 	ps_process_pattern($1, tuned_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 tuned_t:process ptrace;
+	')
+
 	tuned_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 tuned_initrc_exec_t system_r;
Index: serefpolicy-contrib-20140730/tuned.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tuned.te
+++ serefpolicy-contrib-20140730/tuned.te
@@ -21,6 +21,9 @@ files_config_file(tuned_rw_etc_t)
 type tuned_log_t;
 logging_log_file(tuned_log_t)
 
+type tuned_tmp_t;
+files_tmp_file(tuned_tmp_t)
+
 type tuned_var_run_t;
 files_pid_file(tuned_var_run_t)
 
@@ -29,10 +32,14 @@ files_pid_file(tuned_var_run_t)
 # Local policy
 #
 
-allow tuned_t self:capability { sys_admin sys_nice };
+allow tuned_t self:capability { net_admin sys_admin sys_nice sys_rawio };
 dontaudit tuned_t self:capability { dac_override sys_tty_config };
-allow tuned_t self:process { setsched signal };
+allow tuned_t self:process {  setsched signal };
 allow tuned_t self:fifo_file rw_fifo_file_perms;
+allow tuned_t self:netlink_kobject_uevent_socket create_socket_perms;
+allow tuned_t self:netlink_socket create_socket_perms;
+allow tuned_t self:udp_socket create_socket_perms;
+allow tuned_t self:socket create_socket_perms;
 
 read_files_pattern(tuned_t, tuned_etc_t, tuned_etc_t)
 exec_files_pattern(tuned_t, tuned_etc_t, tuned_etc_t)
@@ -41,22 +48,29 @@ manage_files_pattern(tuned_t, tuned_etc_
 files_etc_filetrans(tuned_t, tuned_rw_etc_t, file, "active_profile")
 
 manage_dirs_pattern(tuned_t, tuned_log_t, tuned_log_t)
-append_files_pattern(tuned_t, tuned_log_t, tuned_log_t)
-create_files_pattern(tuned_t, tuned_log_t, tuned_log_t)
-setattr_files_pattern(tuned_t, tuned_log_t, tuned_log_t)
-logging_log_filetrans(tuned_t, tuned_log_t, file)
+manage_files_pattern(tuned_t, tuned_log_t, tuned_log_t)
+logging_log_filetrans(tuned_t, tuned_log_t, file, "tuned.log")
+
+manage_dirs_pattern(tuned_t, tuned_tmp_t, tuned_tmp_t)
+manage_files_pattern(tuned_t, tuned_tmp_t, tuned_tmp_t)
+files_tmp_filetrans(tuned_t, tuned_tmp_t, { file dir })
+can_exec(tuned_t, tuned_tmp_t)
 
 manage_files_pattern(tuned_t, tuned_var_run_t, tuned_var_run_t)
 manage_dirs_pattern(tuned_t, tuned_var_run_t, tuned_var_run_t)
 files_pid_filetrans(tuned_t, tuned_var_run_t, { dir file })
+allow tuned_t tuned_var_run_t:file  relabel_file_perms;
+can_exec(tuned_t, tuned_var_run_t)
 
 kernel_read_system_state(tuned_t)
 kernel_read_network_state(tuned_t)
 kernel_read_kernel_sysctls(tuned_t)
 kernel_request_load_module(tuned_t)
 kernel_rw_kernel_sysctl(tuned_t)
-kernel_rw_hotplug_sysctls(tuned_t)
+kernel_rw_usermodehelper_state(tuned_t)
 kernel_rw_vm_sysctls(tuned_t)
+kernel_setsched(tuned_t)
+kernel_rw_all_sysctls(tuned_t)
 
 corecmd_exec_bin(tuned_t)
 corecmd_exec_shell(tuned_t)
@@ -64,31 +78,60 @@ corecmd_exec_shell(tuned_t)
 dev_getattr_all_blk_files(tuned_t)
 dev_getattr_all_chr_files(tuned_t)
 dev_read_urand(tuned_t)
+dev_rw_cpu_microcode(tuned_t)
 dev_rw_sysfs(tuned_t)
 dev_rw_netcontrol(tuned_t)
 
-files_read_usr_files(tuned_t)
+files_dontaudit_all_access_check(tuned_t)
 files_dontaudit_search_home(tuned_t)
-files_dontaudit_list_tmp(tuned_t)
+files_list_tmp(tuned_t)
 
-fs_getattr_xattr_fs(tuned_t)
+fs_getattr_all_fs(tuned_t)
+fs_search_all(tuned_t)
+fs_rw_hugetlbfs_files(tuned_t)
+
+auth_use_nsswitch(tuned_t)
 
 logging_send_syslog_msg(tuned_t)
+#bug in tuned
+logging_manage_syslog_config(tuned_t)
+logging_filetrans_named_conf(tuned_t)
+
+mount_read_pid_files(tuned_t)
 
-miscfiles_read_localization(tuned_t)
+modutils_domtrans_insmod(tuned_t)
 
 udev_read_pid_files(tuned_t)
 
 userdom_dontaudit_search_user_home_dirs(tuned_t)
 
 optional_policy(`
+	dbus_system_bus_client(tuned_t)
+	dbus_connect_system_bus(tuned_t)
+')
+
+optional_policy(`
+	dmidecode_domtrans(tuned_t)
+')
+
+# to allow disk tuning
+optional_policy(`
 	fstools_domtrans(tuned_t)
 ')
 
 optional_policy(`
+	gnome_dontaudit_search_config(tuned_t)
+')
+
+optional_policy(`
+	libs_exec_ldconfig(tuned_t)
+')
+
+optional_policy(`
 	mount_domtrans(tuned_t)
 ')
 
+# to allow network interface tuning
 optional_policy(`
 	sysnet_domtrans_ifconfig(tuned_t)
 ')
Index: serefpolicy-contrib-20140730/tvtime.if
===================================================================
--- serefpolicy-contrib-20140730.orig/tvtime.if
+++ serefpolicy-contrib-20140730/tvtime.if
@@ -1,5 +1,23 @@
 ## <summary>High quality television application.</summary>
 
+#######################################
+## <summary>
+##  Transition to alsa named content
+## </summary>
+## <param name="domain">
+##  <summary>
+##      Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`tvtime_filetrans_home_content',`
+    gen_require(`
+        type tvtime_home_t;
+    ')
+
+    userdom_user_home_dir_filetrans($1, tvtime_home_t, dir, ".tvtime")
+')
+
 ########################################
 ## <summary>
 ##	Role access for tvtime
Index: serefpolicy-contrib-20140730/tvtime.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tvtime.te
+++ serefpolicy-contrib-20140730/tvtime.te
@@ -42,7 +42,6 @@ allow tvtime_t self:unix_stream_socket r
 manage_dirs_pattern(tvtime_t, tvtime_home_t, tvtime_home_t)
 manage_files_pattern(tvtime_t, tvtime_home_t, tvtime_home_t)
 manage_lnk_files_pattern(tvtime_t, tvtime_home_t, tvtime_home_t)
-userdom_user_home_dir_filetrans(tvtime_t, tvtime_home_t, dir)
 
 manage_dirs_pattern(tvtime_t, tvtime_tmp_t, tvtime_tmp_t)
 manage_files_pattern(tvtime_t, tvtime_tmp_t, tvtime_tmp_t)
@@ -61,7 +60,6 @@ dev_read_realtime_clock(tvtime_t)
 dev_read_sound(tvtime_t)
 dev_read_urand(tvtime_t)
 
-files_read_usr_files(tvtime_t)
 
 fs_getattr_all_fs(tvtime_t)
 fs_search_auto_mountpoints(tvtime_t)
@@ -69,21 +67,12 @@ fs_search_auto_mountpoints(tvtime_t)
 auth_use_nsswitch(tvtime_t)
 
 miscfiles_read_fonts(tvtime_t)
-miscfiles_read_localization(tvtime_t)
 
-userdom_use_user_terminals(tvtime_t)
+userdom_use_inherited_user_terminals(tvtime_t)
+userdom_read_user_home_content_files(tvtime_t)
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_manage_nfs_dirs(tvtime_t)
-	fs_manage_nfs_files(tvtime_t)
-	fs_manage_nfs_symlinks(tvtime_t)
-')
-
-tunable_policy(`use_samba_home_dirs',`
-	fs_manage_cifs_dirs(tvtime_t)
-	fs_manage_cifs_files(tvtime_t)
-	fs_manage_cifs_symlinks(tvtime_t)
-')
+# X access, Home files
+userdom_home_manager(tvtime_t)
 
 optional_policy(`
 	xserver_user_x_domain_template(tvtime, tvtime_t, tvtime_tmpfs_t)
Index: serefpolicy-contrib-20140730/tzdata.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tzdata.te
+++ serefpolicy-contrib-20140730/tzdata.te
@@ -27,11 +27,10 @@ term_dontaudit_list_ptys(tzdata_t)
 
 locallogin_dontaudit_use_fds(tzdata_t)
 
-miscfiles_read_localization(tzdata_t)
 miscfiles_manage_localization(tzdata_t)
 miscfiles_etc_filetrans_localization(tzdata_t)
 
-userdom_use_user_terminals(tzdata_t)
+userdom_use_inherited_user_terminals(tzdata_t)
 
 optional_policy(`
 	postfix_search_spool(tzdata_t)
Index: serefpolicy-contrib-20140730/ucspitcp.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ucspitcp.te
+++ serefpolicy-contrib-20140730/ucspitcp.te
@@ -33,7 +33,6 @@ corenet_udp_sendrecv_all_ports(rblsmtpd_
 corenet_tcp_bind_generic_node(rblsmtpd_t)
 corenet_udp_bind_generic_port(rblsmtpd_t)
 
-files_read_etc_files(rblsmtpd_t)
 files_search_var(rblsmtpd_t)
 
 optional_policy(`
@@ -82,7 +81,6 @@ corenet_udp_bind_dns_port(ucspitcp_t)
 corenet_sendrecv_generic_server_packets(ucspitcp_t)
 corenet_udp_bind_generic_port(ucspitcp_t)
 
-files_read_etc_files(ucspitcp_t)
 files_search_var(ucspitcp_t)
 
 sysnet_read_config(ucspitcp_t)
Index: serefpolicy-contrib-20140730/ulogd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/ulogd.if
+++ serefpolicy-contrib-20140730/ulogd.if
@@ -123,8 +123,11 @@ interface(`ulogd_admin',`
 		type ulogd_var_log_t, ulogd_initrc_exec_t;
 	')
 
-	allow $1 ulogd_t:process { ptrace signal_perms };
+	allow $1 ulogd_t:process signal_perms;
 	ps_process_pattern($1, ulogd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 ulogd_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, ulogd_initrc_exec_t)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/ulogd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ulogd.te
+++ serefpolicy-contrib-20140730/ulogd.te
@@ -29,8 +29,10 @@ logging_log_file(ulogd_var_log_t)
 allow ulogd_t self:capability { net_admin setuid setgid sys_nice };
 allow ulogd_t self:process setsched;
 allow ulogd_t self:netlink_nflog_socket create_socket_perms;
+allow ulogd_t self:netlink_route_socket r_netlink_socket_perms;
 allow ulogd_t self:netlink_socket create_socket_perms;
-allow ulogd_t self:tcp_socket create_stream_socket_perms;
+allow ulogd_t self:tcp_socket { create_stream_socket_perms connect };
+allow ulogd_t self:udp_socket create_socket_perms;
 
 read_files_pattern(ulogd_t, ulogd_etc_t, ulogd_etc_t)
 
@@ -42,10 +44,7 @@ create_files_pattern(ulogd_t, ulogd_var_
 setattr_files_pattern(ulogd_t, ulogd_var_log_t, ulogd_var_log_t)
 logging_log_filetrans(ulogd_t, ulogd_var_log_t, file)
 
-files_read_etc_files(ulogd_t)
-files_read_usr_files(ulogd_t)
-
-miscfiles_read_localization(ulogd_t)
+kernel_request_load_module(ulogd_t)
 
 sysnet_dns_name_resolve(ulogd_t)
 
Index: serefpolicy-contrib-20140730/uml.if
===================================================================
--- serefpolicy-contrib-20140730.orig/uml.if
+++ serefpolicy-contrib-20140730/uml.if
@@ -32,7 +32,7 @@ interface(`uml_role',`
 	allow uml_t $2:unix_dgram_socket sendto;
 
 	ps_process_pattern($2, uml_t)
-	allow $2 uml_t:process { ptrace signal_perms };
+	allow $2 uml_t:process signal_perms;
 
 	allow $2 { uml_ro_t uml_rw_t uml_tmp_t uml_exec_t }:dir { manage_dir_perms relabel_dir_perms };
 	allow $2 { uml_ro_t uml_rw_t uml_tmp_t uml_tmpfs_t uml_exec_t }:file { manage_file_perms relabel_file_perms };
Index: serefpolicy-contrib-20140730/uml.te
===================================================================
--- serefpolicy-contrib-20140730.orig/uml.te
+++ serefpolicy-contrib-20140730/uml.te
@@ -90,7 +90,6 @@ kernel_write_proc_files(uml_t)
 
 corecmd_exec_bin(uml_t)
 
-corenet_all_recvfrom_unlabeled(uml_t)
 corenet_all_recvfrom_netlabel(uml_t)
 corenet_tcp_sendrecv_generic_if(uml_t)
 corenet_tcp_sendrecv_generic_node(uml_t)
@@ -115,7 +114,13 @@ init_dontaudit_write_utmp(uml_t)
 
 libs_exec_lib_files(uml_t)
 
-userdom_use_user_terminals(uml_t)
+# Inherit and use descriptors from newrole.
+seutil_use_newrole_fds(uml_t)
+
+# Use the network.
+sysnet_read_config(uml_t)
+
+userdom_use_inherited_user_terminals(uml_t)
 userdom_attach_admin_tun_iface(uml_t)
 
 tunable_policy(`use_nfs_home_dirs',`
@@ -133,10 +138,6 @@ tunable_policy(`use_samba_home_dirs',`
 ')
 
 optional_policy(`
-	seutil_use_newrole_fds(uml_t)
-')
-
-optional_policy(`
 	virt_attach_tun_iface(uml_t)
 ')
 
@@ -171,8 +172,6 @@ init_use_script_ptys(uml_switch_t)
 
 logging_send_syslog_msg(uml_switch_t)
 
-miscfiles_read_localization(uml_switch_t)
-
 userdom_dontaudit_use_unpriv_user_fds(uml_switch_t)
 userdom_dontaudit_search_user_home_dirs(uml_switch_t)
 
Index: serefpolicy-contrib-20140730/updfstab.te
===================================================================
--- serefpolicy-contrib-20140730.orig/updfstab.te
+++ serefpolicy-contrib-20140730/updfstab.te
@@ -66,8 +66,6 @@ init_use_script_ptys(updfstab_t)
 logging_search_logs(updfstab_t)
 logging_send_syslog_msg(updfstab_t)
 
-miscfiles_read_localization(updfstab_t)
-
 seutil_read_config(updfstab_t)
 seutil_read_default_contexts(updfstab_t)
 seutil_read_file_contexts(updfstab_t)
@@ -75,9 +73,8 @@ seutil_read_file_contexts(updfstab_t)
 userdom_dontaudit_search_user_home_content(updfstab_t)
 userdom_dontaudit_use_unpriv_user_fds(updfstab_t)
 
-optional_policy(`
-	auth_domtrans_pam_console(updfstab_t)
-')
+auth_use_nsswitch(updfstab_t)
+auth_domtrans_pam_console(updfstab_t)
 
 optional_policy(`
 	dbus_system_bus_client(updfstab_t)
Index: serefpolicy-contrib-20140730/uptime.if
===================================================================
--- serefpolicy-contrib-20140730.orig/uptime.if
+++ serefpolicy-contrib-20140730/uptime.if
@@ -19,7 +19,7 @@
 #
 interface(`uptime_admin',`
 	gen_require(`
-		type uptimed_t, uptimed_initrc_exec_t. uptimed_etc_t;
+		type uptimed_t, uptimed_initrc_exec_t, uptimed_etc_t;
 		type uptimed_spool_t, uptimed_var_run_t;
 	')
 
Index: serefpolicy-contrib-20140730/uptime.te
===================================================================
--- serefpolicy-contrib-20140730.orig/uptime.te
+++ serefpolicy-contrib-20140730/uptime.te
@@ -16,7 +16,7 @@ type uptimed_initrc_exec_t;
 init_script_file(uptimed_initrc_exec_t)
 
 type uptimed_spool_t;
-files_type(uptimed_spool_t)
+files_spool_file(uptimed_spool_t)
 
 type uptimed_var_run_t;
 files_pid_file(uptimed_var_run_t)
@@ -55,8 +55,6 @@ fs_search_auto_mountpoints(uptimed_t)
 
 logging_send_syslog_msg(uptimed_t)
 
-miscfiles_read_localization(uptimed_t)
-
 userdom_dontaudit_use_unpriv_user_fds(uptimed_t)
 userdom_dontaudit_search_user_home_dirs(uptimed_t)
 
Index: serefpolicy-contrib-20140730/usbmodules.te
===================================================================
--- serefpolicy-contrib-20140730.orig/usbmodules.te
+++ serefpolicy-contrib-20140730/usbmodules.te
@@ -24,8 +24,6 @@ files_list_kernel_modules(usbmodules_t)
 dev_list_usbfs(usbmodules_t)
 dev_rw_usbfs(usbmodules_t)
 
-files_list_etc(usbmodules_t)
-
 term_read_console(usbmodules_t)
 term_write_console(usbmodules_t)
 
@@ -35,10 +33,12 @@ logging_send_syslog_msg(usbmodules_t)
 
 miscfiles_read_hwdata(usbmodules_t)
 
-modutils_read_module_deps(usbmodules_t)
-
-userdom_use_user_terminals(usbmodules_t)
+userdom_use_inherited_user_terminals(usbmodules_t)
 
 optional_policy(`
 	hotplug_read_config(usbmodules_t)
 ')
+
+optional_policy(`
+	modutils_read_module_deps(usbmodules_t)
+')
